//////////////////////////////////////////////////////////////////////
//                                                                  //
// StarCraft For CEDEC                                              //
//                                                                  //
// Copyright (c) 2004-2011 Daisuke Shikata                          //
//                                                                  //
//////////////////////////////////////////////////////////////////////

#pragma once

#include "IVector2.h"

class IVector2Util
{
public:
	enum TYPE_SIDE
	{
		UP_SIDE     = 0,
		RIGHT_SIDE,
		DOWN_SIDE,
		LEFT_SIDE
	};
	
	enum TYPE_MIRROR
	{
		NONE_MIRROR = 0,
		Y_MIRROR,
		X_MIRROR,
		XY_MIRROR
	};


	static int getXLength( IVector2& pos1, IVector2& pos2 );

	static int getYLength( IVector2& pos1, IVector2& pos2 );

	static IVector2 ConvertVecByDownSide( IVector2& pos, IVector2& center, TYPE_SIDE side );

	static IVector2 ConvertMirror( IVector2& pos, IVector2& center, TYPE_MIRROR mirror );
};